## python-asgi-redis 1.4.3

=== Makefile ===
.PHONY: release

all:

release:
ifndef version
	$(error Please supply a version)
endif
	@echo Releasing version $(version)
ifeq (,$(findstring $(version),$(shell git log --oneline -1)))
	$(error Last commit does not match version)
endif
	git tag $(version)
	git push
	git push --tags
	python setup.py sdist bdist_wheel upload

=== debian/changelog ===
python-asgi-redis (1.4.3-1) unstable; urgency=low

  * Initial release (Closes: #882254).

 -- Michael Fladischer <fladi@debian.org>  Mon, 20 Nov 2017 19:11:01 +0100

=== debian/control ===
Source: python-asgi-redis
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 python3-all,
 python3-asgiref,
 python3-msgpack,
 python3-redis,
 python3-setuptools,
 python3-six,
Standards-Version: 4.1.1
X-Python3-Version: >= 3.4
Homepage: https://github.com/django/asgi_redis/
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-asgi-redis.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-asgi-redis.git
Testsuite: autopkgtest-pkg-python

Package: python3-asgi-redis
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Redis-py backend for ASGI, with built-in sharding (Python3 version)
 An ASGI channel layer that uses Redis as its backing store, and supports both a
 single-server and sharded configurations, as well as group support.
 .
 A "local and remote" mode is also supported, where the Redis channel layer
 works in conjunction with a machine-local channel layer (asgi_ipc) in order to
 route all normal channels over the local layer, while routing all single-reader
 and process-specific channels over the Redis layer.
 .
 "Sentinel" mode is also supported, where the Redis channel layer will connect
 to a redis sentinel cluster to find the present Redis master before writing or
 reading data.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=asgi-redis
export PYBUILD_DISABLE=test  # Requires redis instance

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/([\d\.]+.*)$/python-asgi-redis-$1/ \
https://github.com/django/asgi_redis/releases \
/django/asgi_redis/archive/([\d\.]+)\.tar\.gz
